/*-----------------------------------------------------------------------------
	[CDROM.h]
		CD-ROMドライブを記述するのに必要な定義および
	関数のプロトタイプ宣言を行ないます．

	Copyright (C) 2004 Ki

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
**---------------------------------------------------------------------------*/
#ifndef CD_ROM_H_INCLUDED
#define CD_ROM_H_INCLUDED


/*-----------------------------------------------------------------------------
** 関数のプロトタイプ宣言を行ないます．
**---------------------------------------------------------------------------*/
int32 CDROM_Init();

void CDROM_Deinit();

void CDROM_Reset(void);

uint8 CDROM_Read(uint32 regNum);

void CDROM_Write(uint32 regNum, uint8 data);

bool CDROM_IsCDROMEnabled();

bool CDROM_IsBRAMEnabled();

uint32 CDROM_AdvanceClock(int32 basetime, int32 clock);
uint32 CDROM_GetNextEventTime(void);

int CDROM_StateAction(StateMem *sm, int load, int data_only);

void CDROM_TrackEnd(void);

bool CDROM_DoADFun(uint8 *data);

#endif		/* CD_ROM_H_INCLUDED */

